Subject: RE: Set/GetWindowLong doesn't seem work
From: [email-masked] (Karl Martin Syring)

8 Feb 1998 13:29:41 -0800
Message-ID: <[email-masked]>
Reply-To: "[email-masked]"
	 <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "'Miron the Master'" <[email-masked]>,
        GNU-Win32 Mailing list
	 <[email-masked]>

This probably should read: 
SetWindowLong(hwnd, GWL_USERDATA, (LONG)hEdit);
GetWindowLong(hwnd, GWL_USERDATA);
Windows programming using the bare API really is challenging ;)

Regards
Karl   

-----Original Message-----
From:	Miron the Master [SMTP:[email-masked]]
Sent:	Sunday, February 08, 1998 12:22 PM
To:	GNU-Win32 Mailing list
Subject:	Set/GetWindowLong doesn't seem work

Hi,
I'm workin on a small text editor. I use edit class for editing text.
Here's what I do:

1. Create new window using SendMessage & WM_MDICREATE
2. In document callback proc in respond to WM_CREATE i create EDIT window
using
hEdit = CreateWindowEx(...);
and remember edit handle
SetWindowLong(hwnd, 0, (LONG)hEdit);
And when i use GetWindowLong(hwnd, 0) to get edit handle I don't get it.

hEdit - edit handle
hwnd - parameter passed to document window proc.

Look at the sample source...

Thanx for all help.

Daniel Mironowicz                 [email-masked]

 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".